class KroleoPhoto 
	@@grav_nw = "-gravity NorthWest"
	@@grav_sw = "-gravity SouthWest"
	@@from_left_margin = "110"
	@@from_first_row_margin = "170"
	@@from_second_row_margin = "200"
	@@from_third_row_margin = "230"
	@@font = "-font Times-Roman"
	@@size = "-pointsize 30"
	
	#This will be the base method that will create a postcard with these three 
	#properties. 
	def self.createPostcard(file, to, from, message)
		new_file = add_from_information(file,from)
		new_file = add_message(new_file, message)
		new_file = add_to_information(new_file, to)
		return new_file
	end

	#This will add the from information to the card
	def self.add_from_information(file, from)
		system(write_text(file,@@grav_nw,@@font,@@size,"+110","+170",from.first_name+" "+from.last_name))
		return file 
	end

	#This will add the information for the recipient
	def self.add_to_information(file, to)
		system(write_text(file,@@grav_sw,@@font, @@size,"+940","+380",to.first_name+" "+to.last_name))
		system(write_text(file,@@grav_sw,@@font, @@size,"+940","+330",to.street))
		system(write_text(file,@@grav_sw,@@font, @@size,"+940","+280",to.city+" "+to.state+", "+to.zip))
		return file
	end
	
	#This will write the text onto the back of the postcard
	def self.add_message(file, message)
		system(write_text(file,@@grav_sw, @@font, @@size, "+100","+400",message))
		return file
	end

	#This is the base method for writing text
	def self.write_text(file, gravity, font, size, vertical, horizontal, text)
		 return "convert #{file.path} #{gravity} #{font} #{size} -annotate #{vertical}#{horizontal} '#{text}' #{file.path}"
	end
end
